
Jupiter - Błąd #1678
Zadanie # 1616 (W toku): Utworzenie formularza do edycji yelementu
Zadanie # 1620 (Rozwiązany): Utworzenie kompoenentu do edycji listy ytaglist

Możliwe usprawnienia działania
2017-05-11 10:56 - Michał Komar

Status: Zamknięty Start date: 2017-05-11
Priority: Niski Due date:
Assignee: Michał Komar % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Monika Maksymiuk Rewizja zgłoszenia GIT:63835aac
Tester: Michał Komar Rewizja rozwiązania GIT:c08b2ea
Występuje w wersji: 0.3 Rewizja testów GIT: 5c822e6d
Waga błędu: Mała
Description

    1. Gdy próbuję dodać duplikat, nie ma żadnej informacji, co się dzieje - może warto walidować na bieżąco, czy wprowadzony tekst
to duplikat i wyświetlać komunikat - np. jeżeli przez 50-100ms ktoś nie wprowadził znaku, a wprowadzony jest duplikat, wyświetlić błąd
    2. Poza dodawaniem za pomocą enter, przydałby się też przycisk dodaj na prawo od wprowadzanego tekstu
    3. Bardzo ciężko się usuwa tagi - może, przy najechaniu na tag powinien się on podświetlać i kliknięcie w dowolnym miejscu
powodowałoby usunięcie - może dodatkowo przekleić wartość taga do inputu, jeżeli w inpucie nic nie ma ?

Associated revisions
Revision 413a39fb - 2017-05-15 09:28 - Monika Maksymiuk

refs #1678. Dodawanie tagow za pomoca tag input

Revision d853f094 - 2017-05-15 11:54 - Monika Maksymiuk

refs #1678. Biblioteka tag input

Revision 9be9d832 - 2017-05-19 11:02 - Monika Maksymiuk

refs #1678. Blad przy dodawaniu/usuwaniu tagow

Revision c08b2ead - 2017-06-19 08:44 - Monika Maksymiuk

refs #1678. Labelki do komponentu slow kluczowych

History
#1 - 2017-05-15 09:35 - Monika Maksymiuk
- Status changed from Nowy to Rozwiązany
- % Done changed from 0 to 100
- Rewizja rozwiązania GIT set to 413a39fb

#2 - 2017-05-15 09:36 - Monika Maksymiuk
- Status changed from Rozwiązany to Odpowiedź
- Assignee changed from Monika Maksymiuk to Michał Komar

Zarządzanie tagami odbywa się teraz za pomocą zewnętrznej biblioteki. Usuwanie wydaje się łatwiejsze, dodawanie duplikatów jest niemożliwe

#3 - 2017-05-16 08:32 - Michał Komar
- Assignee changed from Michał Komar to Monika Maksymiuk
- Rewizja testów GIT set to 5c822e6d

Po wprowadzeniu pierwszego taga i kliknięciu enter:
ERROR TypeError: Cannot set property value of #<AbstractControl> which has only a getter
    at Object.handleEvent (text-field.component.ngfactory.ts:928)
    at Object.handleEvent (core.es5.js:11805)
    at Object.handleEvent (core.es5.js:12425)
    at dispatchEvent (core.es5.js:8780)
    at core.es5.js:10644
    at SafeSubscriber.schedulerFn [as next] (core.es5.js:3840)
    at SafeSubscriber._tryOrUnsub (Subscriber.js:236)
    at SafeSubscriber.next (Subscriber.js:185)
    at Subscriber._next (Subscriber.js:125)
    at Subscriber.next (Subscriber.js:89)
    at EventEmitter.Subject.next (Subject.js:55)
    at EventEmitter.emit (core.es5.js:3814)
    at NgModel.viewToModelUpdate (forms.es5.js:4294)
    at TagInputComponent._onChangeCallback (forms.es5.js:1751)
    at TagInputComponent.set [as items] (accessor.js:26)

#4 - 2017-05-19 11:09 - Monika Maksymiuk
- Status changed from Odpowiedź to Rozwiązany
- Assignee changed from Monika Maksymiuk to Michał Komar
- Rewizja rozwiązania GIT changed from 413a39fb to 9be9d83

#5 - 2017-05-22 08:24 - Michał Komar
- Status changed from Rozwiązany to Odpowiedź
- Assignee changed from Michał Komar to Monika Maksymiuk

Funkcjonalnie ok. 
Trzeba dodać tylko odpowiednie labelki zamiast "Enter a new tag" i "+Tag". Powinny informować o tym, że enter powoduje dodanie nowej labelki.

#6 - 2017-06-01 08:39 - Michał Komar
- Priority changed from Normalny to Niski

#7 - 2017-06-01 12:19 - Monika Maksymiuk

Nowe labelki można dodać za pomocą atrybutu
placeholder - dla labelki, kiedy jakiś tag istnieje
secondaryPlaceholder - kiedy nie ma żadnego taga
#8 - 2017-06-19 08:50 - Monika Maksymiuk
- Status changed from Odpowiedź to Rozwiązany
- Assignee changed from Monika Maksymiuk to Michał Komar
- Rewizja rozwiązania GIT changed from 9be9d83 to c08b2ea

Dodano lebelki:
Dodaj słowo kluczowe - gdy nie ma żadnego taga i + Słowo kluczowe, kiedy już jakieś istnieją

#9 - 2017-06-21 13:17 - Michał Komar
- Status changed from Rozwiązany to Zamknięty

Komunikat ustalimy ze szprotowacami
